{ environment ? "prod"
, varDir ? "/var/lib/chloe_${environment}"
, spip, stdenv, sassc, sources }:
let
  siteDir = stdenv.mkDerivation {
    version = sources.websites-chloe-app.version;
    pname = "chloe";
    src = sources.websites-chloe-app;
    buildPhase = ''
      make
      '';
    installPhase = ''
      cp -a . $out
      '';
    buildInputs = [ sassc ];
  };
in
spip.override {
  ldap = true;
  siteName = "chloe";
  inherit environment siteDir varDir;
}
